Get print partner design

This API is currently provided as a preview. Be aware of the following:

  • There might be unannounced breaking changes.
  • Any breaking changes to preview APIs won't produce a new API version.
  • Public integrations that use preview APIs will not pass the review process, and can't be made available to all Canva users.

This API is only available to Print Partners.

Gets the metadata for a design. This includes owner information, URLs for editing and viewing, and thumbnail information.

Print partner proofing information (such as bleed and page constraints) isn't stored on Canva, so you can optionally provide it in the request. The design URLs that are returned include this information, which Canva applies in the editor when opening the design.

HTTP method and URL path

GET https://api.canva.com/rest/v1/print-partner/designs/{designId}

This operation is rate limited to 100 requests per minute for each user of your integration.

Authentication and authorization

This endpoint requires a valid access token that acts on behalf of a user.

Scopes

The access token must have all the following scopes (permissions):

  • design:meta:read

Header parameters

Authorizationstring
Required

Provides credentials to authenticate the request, in the form of a Bearer token.

For example: Authorization: Bearer {token}

Path parameters

designIdstring
Required

The design ID.

Query parameters

bleedinteger
Optional

Bleed in microns to apply around the design in the editor. Bleed is the area outside the trim line used to avoid white edges after cutting. Use 0 for no bleed. If bleed is not specified, a default of 3000 microns is used.

Maximum: 150000

Default value: 3000

min_pagesinteger
Optional

Minimum number of pages the design must have in the editor. The user cannot reduce the page count below this value. If both min_pages and max_pages are provided, min_pages must be less than or equal to max_pages.

Minimum: 1

Maximum: 500

max_pagesinteger
Optional

Maximum number of pages the design can have in the editor. The user cannot add pages beyond this value. If both min_pages and max_pages are provided, min_pages must be less than or equal to max_pages.

Minimum: 1

Maximum: 500

Example request

Examples for using the /v1/print-partner/designs/{designId} endpoint:

curl --request GET 'https://api.canva.com/rest/v1/print-partner/designs/{designId}' \
--header 'Authorization: Bearer {token}'
SH
const fetch = require("node-fetch");
fetch("https://api.canva.com/rest/v1/print-partner/designs/{designId}", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
JS
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/rest/v1/print-partner/designs/{designId}"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
JAVA
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/rest/v1/print-partner/designs/{designId}",
headers=headers
)
print(response.json())
PY
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/rest/v1/print-partner/designs/{designId}"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
CSHARP
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/rest/v1/print-partner/designs/{designId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
GO
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/rest/v1/print-partner/designs/{designId}",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
PHP
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/rest/v1/print-partner/designs/{designId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
RUBY

Success response

If successful, the endpoint returns a 200 response with a JSON body with the following parameters:

designDesign

The design object, which contains metadata about the design.

idstring

The design ID.

ownerTeamUserSummary

Metadata for the user, consisting of the User ID and Team ID.

user_idstring

The ID of the user.

team_idstring

The ID of the user's Canva Team.

urlsDesignLinks

A temporary set of URLs for viewing or editing the design.

edit_urlstring

A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.

This is not a permanent URL, it is only valid for 30 days.

view_urlstring

A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.

This is not a permanent URL, it is only valid for 30 days.

created_atinteger

When the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch).

updated_atinteger

When the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch).

design_typesstring[]

The type of content a design or page contains. The list of design types may grow over time. The unknown value represents design types that haven't been added to the list.

Available values:

  • doc
  • email
  • presentation
  • sheet
  • whiteboard
  • custom
  • unknown
titlestring
Optional

The design title.

thumbnailThumbnail
Optional

A thumbnail image representing the object.

widthinteger

The width of the thumbnail image in pixels.

heightinteger

The height of the thumbnail image in pixels.

urlstring

A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail.

page_countinteger
Optional

The total number of pages in the design. Some design types don't have pages (for example, Canva docs).

Example response

{
"design": {
"id": "DAFVztcvd9z",
"title": "My summer holiday",
"owner": {
"user_id": "auDAbliZ2rQNNOsUl5OLu",
"team_id": "Oi2RJILTrKk0KRhRUZozX"
},
"thumbnail": {
"width": 595,
"height": 335,
"url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?<query-string>"
},
"urls": {
"edit_url": "https://www.canva.com/api/design/eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2R0NNIiwiZXhwaXJ5IjoxNzQyMDk5NDAzMDc5fQ..GKLx2hrJa3wSSDKQ.hk3HA59qJyxehR-ejzt2DThBW0cbRdMBz7Fb5uCpwD-4o485pCf4kcXt_ypUYX0qMHVeZ131YvfwGPIhbk-C245D8c12IIJSDbZUZTS7WiCOJZQ.sNz3mPSQxsETBvl_-upMYA/edit",
"view_url": "https://www.canva.com/api/design/eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2R0NNIiwiZXhwaXJ5IjoxNzQyMDk5NDAzMDc5fQ..GKLx2hrJa3wSSDKQ.hk3HA59qJyxehR-ejzt2DThBW0cbRdMBz7Fb5uCpwD-4o485pCf4kcXt_ypUYX0qMHVeZ131YvfwGPIhbk-C245D8c12IIJSDbZUZTS7WiCOJZQ.sNz3mPSQxsETBvl_-upMYA/view"
},
"created_at": 1377396000,
"updated_at": 1692928800,
"page_count": 5,
"design_types": [
"presentation"
]
}
}
JSON

Error responses

403 Forbidden

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Client does not have permission to get a Print Partner design
{
"code": "permission_denied",
"message": "Client does not have permission to get a Print Partner design"
}
JSON

Try it out

This uses your live Canva data.

This is not a sandbox/playground. This form performs API requests against your account's actual live Canva data. Make sure that you understand what the request is doing, as well as the requirements for each parameter detailed above.

Step 1: Enter your access token

To get started, generate an access token or provide your own below